### Method

# Adw MessageDialog choose_finish

deprecated: 1.6 since: 1.3

#### Declaration [src]

    const char*
    adw_message_dialog_choose_finish (
      AdwMessageDialog* self,
      GAsyncResult* result
    )

#### Description [src]

Finishes the `adw_message_dialog_choose()` call and returns the response ID.

Available since: 1.3

Deprecated since: 1.6

Use `AdwAlertDialog`.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

#### Return value

Type: `const char*`

The ID of the response that was selected, or `AdwMessageDialog:close-response` if the call was cancelled.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.